diff --git python-flask-images.spec python-flask-images.spec
index d2f7bf94fe..6f4d6bb1d5 100644
--- python-flask-images.spec
+++ python-flask-images.spec
@@ -2,7 +2,7 @@
 
 Name:           python-flask-images
 Version:        2.1.2
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        Dynamic image resizing for Flask
 
 License:        BSD
@@ -14,19 +14,22 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-%if 0%{?fedora} >= 19
+%global _description\
+This extension adds a resized_img_src function to the template context, which\
+creates a URL to dynamically resize an image. This function takes either a path\
+to a local image (either absolute, or relative to the IMAGES_PATH) or an URL to\
+a remote image, and returns a URL that will serve a resized version on demand
+
+%description %_description
+
+%package -n python2-flask-images
+Summary: %summary
 Requires:       python-pillow
-%else
-requires:       python-imaging
-%endif
 Requires:       python-flask
 Requires:       python-itsdangerous
+%{?python_provide:%python_provide python2-flask-images}
 
-%description
-This extension adds a resized_img_src function to the template context, which
-creates a URL to dynamically resize an image. This function takes either a path
-to a local image (either absolute, or relative to the IMAGES_PATH) or an URL to
-a remote image, and returns a URL that will serve a resized version on demand
+%description -n python2-flask-images %_description
 
 %prep
 %setup -q -n %{pypi_name}-%{version}
@@ -39,12 +42,16 @@ rm -rf %{pypi_name}.egg-info
 %install
 %{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT
 
-%files
+%files -n python2-flask-images
 %doc LICENSE.txt README.md
 
 %{python2_sitelib}/*
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.1.2-6
+- Python 2 binary package renamed to python2-flask-images
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-flask-wtf.spec python-flask-wtf.spec
index 9ac463eb09..c5e17d72d1 100644
--- python-flask-wtf.spec
+++ python-flask-wtf.spec
@@ -3,7 +3,7 @@
 
 Name:           python-flask-wtf
 Version:        0.10.0
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        Simple integration of Flask and WTForms
 
 Group:          Development/Libraries
@@ -27,18 +27,24 @@ BuildRequires:  python3-nose
 # check can't work with python3 until builds for python3-flask-babel are available
 #BuildRequires:  python3-flask-babel
 %endif 
-Requires:   python-wtforms > 1.0
-%if 0%{?with_python3}
-Requires:   python-wtforms > 1.0
-%endif
 
-%description
-Flask-WTF offers simple integration with WTForms. This integration 
+%global _description\
+Flask-WTF offers simple integration with WTForms. This integration\
 includes optional CSRF handling for greater security.
 
+%description %_description
+
+%package -n python2-flask-wtf
+Summary: %summary
+Requires:   python-wtforms > 1.0
+%{?python_provide:%python_provide python2-flask-wtf}
+
+%description -n python2-flask-wtf %_description
+
 %if 0%{?with_python3}
 %package -n python3-flask-wtf
 Summary:        Simple integration of Flask and WTForms
+Requires:   python3-wtforms > 1.0
 
 %description -n python3-flask-wtf
 Flask-WTF offers simple integration with WTForms. This integration 
@@ -83,7 +89,7 @@ pushd %{py3dir}
 popd
 %endif
  
-%files
+%files -n python2-flask-wtf
 %doc docs/ LICENSE PKG-INFO
 %{python2_sitelib}/*.egg-info/
 %{python2_sitelib}/flask_wtf/
@@ -97,6 +103,10 @@ popd
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10.0-10
+- Python 2 binary package renamed to python2-flask-wtf
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-fmn-lib.spec python-fmn-lib.spec
index 8e1a2e1abb..e40c169978 100644
--- python-fmn-lib.spec
+++ python-fmn-lib.spec
@@ -8,7 +8,7 @@
 
 Name:               python-fmn-lib
 Version:            0.8.2
-Release:            4%{?dist}
+Release:            5%{?dist}
 Summary:            Internal API components and model for Fedora Notifications
 
 Group:              Development/Libraries
@@ -36,27 +36,33 @@ BuildRequires:      python-sqlalchemy
 %endif
 
 
+
+
+%global _description\
+fmn is a family of systems to manage end-user notifications triggered by\
+fedmsg, the Fedora FEDerated MESsage bus.\
+\
+This modules contains the internal API for components and data model for Fedora\
+Notifications
+
+%description %_description
+
+%package -n python2-fmn-lib
+Summary: %summary
 Requires:           python-beautifulsoup4
 Requires:           python-fmn-rules
 Requires:           python-docutils
 Requires:           python-markupsafe
-
 %if 0%{?rhel} && 0%{?rhel} <= 6
 Requires:           python-ordereddict
 Requires:           python-sqlalchemy0.8
 %else
 Requires:           python-sqlalchemy
 %endif
-
 Requires:           python-alembic
+%{?python_provide:%python_provide python2-fmn-lib}
 
-
-%description
-fmn is a family of systems to manage end-user notifications triggered by
-fedmsg, the Fedora FEDerated MESsage bus.
-
-This modules contains the internal API for components and data model for Fedora
-Notifications
+%description -n python2-fmn-lib %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -80,7 +86,7 @@ install createdb.py %{buildroot}%{_bindir}/fmn-createdb
 #%check
 #%{__python2} setup.py test
 
-%files
+%files -n python2-fmn-lib
 %doc README.rst COPYING COPYING.LESSER CHANGELOG.rst
 %{python2_sitelib}/fmn/lib/
 %{python2_sitelib}/%{modname}-%{version}*
@@ -88,6 +94,10 @@ install createdb.py %{buildroot}%{_bindir}/fmn-createdb
 %{_bindir}/fmn-createdb
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.2-5
+- Python 2 binary package renamed to python2-fmn-lib
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-fmn-web.spec python-fmn-web.spec
index 149ca88a5d..9d5e404fd7 100644
--- python-fmn-web.spec
+++ python-fmn-web.spec
@@ -8,7 +8,7 @@
 
 Name:               python-fmn-web
 Version:            0.8.1
-Release:            4%{?dist}
+Release:            5%{?dist}
 Summary:            Frontend Web Application for Fedora Notifications
 
 Group:              Development/Libraries
@@ -46,6 +46,18 @@ BuildRequires:      python-sqlalchemy
 %endif
 
 
+
+
+%global _description\
+fmn is a family of systems to manage end-user notifications triggered by\
+fedmsg, the Fedora FEDerated MESsage bus.\
+\
+This module contains the frontend web application for Fedora Notifications.
+
+%description %_description
+
+%package -n python2-fmn-web
+Summary: %summary
 Requires:           python-fmn-lib
 Requires:           python-openid
 Requires:           python-openid-cla
@@ -61,23 +73,17 @@ Requires:           python-urllib3
 Requires:           python-fedmsg-meta-fedora-infrastructure
 Requires:           python-datanommer-models
 Requires:           python-arrow
-
 %if 0%{?rhel} && 0%{?rhel} <= 6
 Requires:           python-ordereddict
 Requires:           python-sqlalchemy0.8
 %else
 Requires:           python-sqlalchemy
 %endif
-
 Requires:           httpd
 Requires:           mod_wsgi
+%{?python_provide:%python_provide python2-fmn-web}
 
-
-%description
-fmn is a family of systems to manage end-user notifications triggered by
-fedmsg, the Fedora FEDerated MESsage bus.
-
-This module contains the frontend web application for Fedora Notifications.
+%description -n python2-fmn-web %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -100,7 +106,7 @@ cp -r fmn/web/static/ %{buildroot}%{_datadir}/%{modname}/static
 
 rm -rf %{buildroot}%{_datadir}/%{modname}/static/bootstrap
 
-%files
+%files -n python2-fmn-web
 %doc README.rst COPYING COPYING.LESSER CHANGELOG.rst
 %{python2_sitelib}/fmn/web/
 %{python2_sitelib}/%{modname}-%{version}*
@@ -109,6 +115,10 @@ rm -rf %{buildroot}%{_datadir}/%{modname}/static/bootstrap
 %{_datadir}/%{modname}
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.1-5
+- Python 2 binary package renamed to python2-fmn-web
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-inflect.spec python-inflect.spec
index 4c6269b3cb..daed5653a1 100644
--- python-inflect.spec
+++ python-inflect.spec
@@ -1,7 +1,7 @@
 %global srcname inflect
 Name:           python-%{srcname}
 Version:        0.2.5
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        Correctly generate plurals, singular nouns, ordinals and indefinite articles
 
 License:        AGPLv3+
@@ -26,7 +26,7 @@ Pronunciation-based "a"/"an" selection is provided for all English words, and
 most initialisms.
 
 It is also possible to inflect numerals (1,2,3) to ordinals (1st, 2nd, 3rd) and
-to English words ("one", "two", "three).
+to English words ("one", "two", "three").
 
 %package -n python2-%{srcname}
 Summary:        Correctly generate plurals, singular nouns, ordinals and indefinite articles
@@ -100,7 +100,7 @@ rm -rf inflect.egg-info
 nosetests
 nosetests-3
 
-%files
+%files -n python2-%{srcname}
 %license COPYING.txt
 %doc CHANGES.txt README.rst
 %{python2_sitelib}/inflect.py*
@@ -114,6 +114,9 @@ nosetests-3
 %{python3_sitelib}/inflect-%{version}-*.egg-info
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.5-13
+- Fix creation of python2- subpackage
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-kajiki.spec python-kajiki.spec
index 5f5d307d86..4a021e8716 100644
--- python-kajiki.spec
+++ python-kajiki.spec
@@ -6,7 +6,7 @@
 
 Name:               python-kajiki
 Version:            0.7.1
-Release:            1%{?dist}
+Release:            2%{?dist}
 Summary:            Really fast well-formed xml templates
 
 Group:              Development/Libraries
@@ -94,7 +94,7 @@ speed! Don't delay! Pick up your copy of Kajiki today!
 %{__python3} setup.py test
 %endif
 
-%files
+%files -n python2-kajiki
 %doc README.rst LICENSE.rst CHANGES.rst PKG-INFO
 %{python2_sitelib}/%{modname}/
 %{python2_sitelib}/Kajiki-%{version}*
@@ -107,6 +107,9 @@ speed! Don't delay! Pick up your copy of Kajiki today!
 %endif
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.1-2
+- Fix creation of python2- subpackage
+
 * Fri Sep 15 2017 Kevin Fenzi <kevin@scrye.com> - 0.7.1-1
 - Update to 0.7.1. Fixes bug #1465427
 
diff --git python-meh.spec python-meh.spec
index 264ba9f912..e94328b79a 100644
--- python-meh.spec
+++ python-meh.spec
@@ -7,7 +7,7 @@ Summary:  A python library for handling exceptions
 Name: python-meh
 Url: https://github.com/rhinstaller/python-meh
 Version: 0.44
-Release: 6%{?dist}
+Release: 7%{?dist}
 # This is a Red Hat maintained package which is specific to
 # our distribution.  Thus the source is only available from
 # within this srpm.
@@ -56,14 +56,15 @@ Requires: python-six
 
 %description -n python2-meh %_description
 
-%package gui
+%package -n python2-meh-gui
 Summary: Graphical user interface for the python-meh library
 Requires: python-meh = %{version}-%{release}
 Requires: pygobject3
 Requires: gtk3
 Requires: libreport-gtk >= %{libreportver}
+%{?python_provide:%python_provide python2-meh-gui}
 
-%description gui
+%description -n python2-meh-gui
 The python-meh-gui package provides a GUI for the python-meh library.
 
 %if 0%{with_python3}
@@ -139,7 +140,7 @@ rm -rf %{buildroot}
 %{python_sitelib}/*
 %exclude %{python_sitelib}/meh/ui/gui.py*
 
-%files gui
+%files -n python2-meh-gui
 %{python_sitelib}/meh/ui/gui.py*
 %{_datadir}/python-meh
 
@@ -153,6 +154,9 @@ rm -rf %{buildroot}
 %{_datadir}/python-meh
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.44-7
+- Also rename the gui subpackage to python2-meh-gui
+
 * Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.44-6
 - Python 2 binary package renamed to python2-meh
   See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
diff --git python-memcached.spec python-memcached.spec
index 479791fed5..ce042d2405 100644
--- python-memcached.spec
+++ python-memcached.spec
@@ -1,6 +1,6 @@
 Name:           python-memcached
 Version:        1.58
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        A Python memcached client library
 
 License:        Python
@@ -12,12 +12,20 @@ BuildRequires:  python2-devel, python-setuptools, python-six
 # Required for running test suite
 BuildRequires:  memcached
 
-%description
-This software is a 100% Python interface to the memcached memory cache
-daemon.  It is the client side software which allows storing values in one
-or more, possibly remote, memcached servers.  Search google for memcached
+%global _description\
+This software is a 100% Python interface to the memcached memory cache\
+daemon.  It is the client side software which allows storing values in one\
+or more, possibly remote, memcached servers.  Search google for memcached\
 for more information.
 
+%description %_description
+
+%package -n python2-memcached
+Summary: %summary
+%{?python_provide:%python_provide python2-memcached}
+
+%description -n python2-memcached %_description
+
 %prep
 %setup -q -n %{name}-%{version}
 
@@ -36,13 +44,17 @@ pidfile=$(mktemp)
 kill $(cat $pidfile)
 popd
 
-%files
+%files -n python2-memcached
 %doc ChangeLog README.md
 %attr(755,root,root) %{python2_sitelib}/memcache.py
 %{python2_sitelib}/memcache.py[co]
 %{python2_sitelib}/python_memcached-%{version}-py*.egg-info/
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.58-2
+- Python 2 binary package renamed to python2-memcached
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Tue Aug 29 2017 Haïkel Guémar <hguemar@fedoraproject.org> - 1.58-1
 - Upstream 1.58
 
diff --git python-messaging.spec python-messaging.spec
index 1b0f9781f8..7f98e181bc 100644
--- python-messaging.spec
+++ python-messaging.spec
@@ -9,7 +9,7 @@
 
 Name:		python-messaging
 Version:	1.1
-Release:	6%{?dist}
+Release:	7%{?dist}
 Summary:	Python abstraction of a "message"
 Group:		Development/Libraries
 License:	ASL 2.0
@@ -21,23 +21,32 @@ BuildRequires:	python2-devel
 %if 0%{?with_python3}
 BuildRequires:	python3-devel
 %endif # if with_python3
-Provides:	python2-messaging
 # For python < 2.6 python-simplejson is required
 %if 0%{?fedora} < 11 || 0%{?rhel} <= 6
 BuildRequires:	python-simplejson
-Requires:	python-simplejson
 %endif
 
-%description
-This module provides an abstraction of a "message", as used in Enterprise
-Messaging Systems.
+%global _description\
+This module provides an abstraction of a "message", as used in Enterprise\
+Messaging Systems.\
+\
+The modules include a transport independent message abstraction, a\
+versatile message generator and several message queues/spools to\
+locally store messages.\
+\
+The python module messaging is compatible with the Perl\
+module Messaging::Message.
 
-The modules include a transport independent message abstraction, a
-versatile message generator and several message queues/spools to
-locally store messages.
+%description %_description
 
-The python module messaging is compatible with the Perl
-module Messaging::Message.
+%package -n python2-messaging
+Summary: %summary
+%if 0%{?fedora} < 11 || 0%{?rhel} <= 6
+Requires:	python-simplejson
+%endif
+%{?python_provide:%python_provide python2-messaging}
+
+%description -n python2-messaging %_description
 
 %if 0%{?with_python3}
 %package -n python3-messaging
@@ -94,7 +103,7 @@ popd
 %clean
 rm -fr $RPM_BUILD_ROOT
 
-%files
+%files -n python2-messaging
 %defattr(-,root,root)
 %doc LICENSE README.rst CHANGES example test
 %{python_sitelib}/%{srcname}/
@@ -110,6 +119,10 @@ rm -fr $RPM_BUILD_ROOT
 %endif # with_python3
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1-7
+- Python 2 binary package renamed to python2-messaging
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-narcissus-app.spec python-narcissus-app.spec
index 0415c057a3..70f0547fd4 100644
--- python-narcissus-app.spec
+++ python-narcissus-app.spec
@@ -2,7 +2,7 @@
 
 Name:               python-narcissus-app
 Version:            0.9.1
-Release:            8%{?dist}
+Release:            9%{?dist}
 Summary:            WSGI components for Narcissus, realtime log visualization
 Group:              Development/Libraries
 License:            AGPLv3+
@@ -23,34 +23,41 @@ BuildRequires:      python-tw2-polymaps
 BuildRequires:      python-tw2-jqplugins-jqplot
 BuildRequires:      python-tw2-slideymenu
 
+%global _description\
+This package contains the wsgi components for narcissus.  Narcissus\
+is a web application that visualizes web server hits as they happen\
+in real time.\
+\
+Features:\
+\
+ * IP addresses converted to latitude/longitude, then streamed via\
+   WebSockets to `polymaps <http://polymaps.org/>`_.\
+ * Realtime graphs of what countries are downloading what content\
+   with `d3 <http://d3js.org>`_.\
+ * `Ømq (zeromq) <http://www.zeromq.org/>`_ on the backend.\
+ * **Fast**.  No polling.\
+\
+You can see a demo running live at http://narcissus.rc.rit.edu\
+It is visualizing the logs of http://mirror.rit.edu
+
+%description %_description
+
+%package -n python2-narcissus-app
+Summary: %summary
 Requires:           python-narcissus-common
 Requires:           python-flask
 Requires:           python-moksha-wsgi
 Requires:           python-tw2-polymaps
 Requires:           python-tw2-jqplugins-jqplot
 Requires:           python-tw2-slideymenu
+%{?python_provide:%python_provide python2-narcissus-app}
 
-%description
-This package contains the wsgi components for narcissus.  Narcissus
-is a web application that visualizes web server hits as they happen
-in real time.
-
-Features:
-
- * IP addresses converted to latitude/longitude, then streamed via
-   WebSockets to `polymaps <http://polymaps.org/>`_.
- * Realtime graphs of what countries are downloading what content
-   with `d3 <http://d3js.org>`_.
- * `Ømq (zeromq) <http://www.zeromq.org/>`_ on the backend.
- * **Fast**.  No polling.
-
-You can see a demo running live at http://narcissus.rc.rit.edu
-It is visualizing the logs of http://mirror.rit.edu
+%description -n python2-narcissus-app %_description
 
 %package -n narcissus-app
 Summary:    WSGI app for Narcissus, realtime log visualization
 Group:      Applications/Internet
-Requires:   %{name} = %{version}-%{release}
+Requires:   python2-narcissus-app = %{version}-%{release}
 Requires:   httpd
 Requires:   mod_wsgi
 
@@ -89,7 +96,7 @@ rm -rf %{modname}.egg-info
 %{__cp} %{SOURCE2} %{buildroot}%{_sysconfdir}/httpd/conf.d/narcissus.conf
 %{__cp} %{SOURCE3} %{buildroot}%{_datadir}/narcissus/narcissus.wsgi
 
-%files
+%files -n python2-narcissus-app
 %doc README.rst LICENSE
 %{python_sitelib}/narcissus/app/
 %{python_sitelib}/%{modname}-%{version}*
@@ -103,6 +110,10 @@ rm -rf %{modname}.egg-info
 %config(noreplace) %{_sysconfdir}/narcissus.ini
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.1-9
+- Python 2 binary package renamed to python2-narcissus-app
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-networking-bigswitch.spec python-networking-bigswitch.spec
index a541db0252..9ea32b0626 100644
--- python-networking-bigswitch.spec
+++ python-networking-bigswitch.spec
@@ -6,7 +6,7 @@
 
 Name:           python-%{rpm_name}
 Version:        2015.3.12
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Big Switch Networks neutron plugin for OpenStack Networking
 License:        ASL 2.0
 URL:            https://pypi.python.org/pypi/%{pypi_name}
@@ -19,26 +19,29 @@ BuildRequires:  python-devel
 BuildRequires:  python-pbr
 BuildRequires:  python-setuptools
 BuildRequires:  python-sphinx
-BuildRequires:  systemd-units
+BuildRequires:  systemd
 
+%global _description\
+This package contains Big Switch Networks neutron plugins and agents
+
+%description %_description
+
+%package -n python2-%{rpm_name}
+Summary: %summary
 Requires:       python-pbr >= 0.10.8
 Requires:       python-oslo-log >= 1.0.0
 Requires:       python-oslo-config >= 2:1.9.3
 Requires:       python-oslo-utils >= 1.4.0
 Requires:       python-oslo-messaging >= 1.8.0
 Requires:       python-oslo-serialization >= 1.4.0
+%{?systemd_requires}
+%{?python_provide:%python_provide python2-%{rpm_name}}
 
-Requires(post):   systemd
-Requires(preun):  systemd
-Requires(postun): systemd
-
-%description
-This package contains Big Switch Networks
-neutron plugins and agents
+%description -n python2-%{rpm_name} %_description
 
 %package -n %{rpm_prefix}-agent
 Summary:        Neutron Big Switch Networks agent
-Requires:       python-%{rpm_name} = %{version}-%{release}
+Requires:       python2-%{rpm_name} = %{version}-%{release}
 
 %description -n %{rpm_prefix}-agent
 This package contains the Big Switch Networks
@@ -46,7 +49,7 @@ neutron agent for security groups.
 
 %package -n %{rpm_prefix}-lldp
 Summary:        Neutron Big Switch Networks LLDP service
-Requires:       python-%{rpm_name} = %{version}-%{release}
+Requires:       python2-%{rpm_name} = %{version}-%{release}
 
 %description -n %{rpm_prefix}-lldp
 This package contains the Big Switch Networks neutron LLDP agent.
@@ -80,7 +83,7 @@ for lib in %{lib_dir}/version.py %{lib_dir}/tests/test_server.py; do
     mv $lib.new $lib
 done
 
-%files
+%files -n python2-%{rpm_name}
 %license LICENSE
 %{python2_sitelib}/%{pypi_name}
 %{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
@@ -103,19 +106,30 @@ done
 %doc README.rst
 %doc %{docpath}
 
-%post
+%post -n %{rpm_prefix}-agent
 %systemd_post neutron-bsn-agent.service
+
+%post -n %{rpm_prefix}-lldp
 %systemd_post neutron-bsn-lldp.service
 
-%preun
+%preun -n %{rpm_prefix}-agent
 %systemd_preun neutron-bsn-agent.service
+
+%preun -n %{rpm_prefix}-lldp
 %systemd_preun neutron-bsn-lldp.service
 
-%postun
+%postun -n %{rpm_prefix}-agent
 %systemd_postun_with_restart neutron-bsn-agent.service
+
+%postun -n %{rpm_prefix}-lldp
 %systemd_postun_with_restart neutron-bsn-lldp.service
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2015.3.12-3
+- Python 2 binary package renamed to python2-networking-bigswitch
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+- Move the scriptlets to the package that holds the service file
+
 * Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2015.3.12-2
 - https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages
 
diff --git python-nine.spec python-nine.spec
index 3c94689b24..429b15f43e 100644
--- python-nine.spec
+++ python-nine.spec
@@ -14,7 +14,7 @@
 
 Name:               python-nine
 Version:            0.3.4
-Release:            11%{?dist}
+Release:            12%{?dist}
 Summary:            Python 2 / 3 compatibility, like six, but favouring Python 3
 
 License:            Public Domain
@@ -33,26 +33,36 @@ BuildRequires:      python3-setuptools
 
 %if 0%{?rhel} && 0%{?rhel} <= 6
 BuildRequires:      python-importlib
-Requires:           python-importlib
 %endif
 
-%description
-Let's write Python 3 right now!
-
-When the best Python 2/Python 3 compatibility modules -- especially the
-famous `*six* library invented by Benjamin Peterson
-<https://pypi.python.org/pypi/six>`_ -- were created, they were written
-from the point of view of a Python 2 programmer starting to grok Python 3.
+%global _description\
+Let's write Python 3 right now!\
+\
+When the best Python 2/Python 3 compatibility modules -- especially the\
+famous `*six* library invented by Benjamin Peterson\
+<https://pypi.python.org/pypi/six>`_ -- were created, they were written\
+from the point of view of a Python 2 programmer starting to grok Python 3.\
+\
+When thou writeth Python, thou shalt write Python 3 and, just for a while,\
+ensure that the thing worketh on Python 2.7 and, possibly, even 2.6.\
+\
+Just before Python 2 is finally phased out, thine codebase shall look more\
+like 3 than like 2.\
+\
+nine facilitates this new point of view. You can write code that is as\
+3ish as possible while still supporting 2.6. Very comfortable for writing\
+new projects.
 
-When thou writeth Python, thou shalt write Python 3 and, just for a while,
-ensure that the thing worketh on Python 2.7 and, possibly, even 2.6.
+%description %_description
 
-Just before Python 2 is finally phased out, thine codebase shall look more
-like 3 than like 2.
+%package -n python2-nine
+Summary: %summary
+%if 0%{?rhel} && 0%{?rhel} <= 6
+Requires:           python-importlib
+%endif
+%{?python_provide:%python_provide python2-nine}
 
-nine facilitates this new point of view. You can write code that is as
-3ish as possible while still supporting 2.6. Very comfortable for writing
-new projects.
+%description -n python2-nine %_description
 
 %if 0%{?with_python3}
 %package -n python3-nine
@@ -111,7 +121,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-nine
 %doc README.rst porting.rst
 %{!?_licensedir:%global license %%doc}
 %license LICENSE.rst
@@ -129,6 +139,10 @@ popd
 %endif
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.4-12
+- Python 2 binary package renamed to python2-nine
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-port-for.spec python-port-for.spec
index da439fdbe4..1bcf26dfb1 100644
--- python-port-for.spec
+++ python-port-for.spec
@@ -4,7 +4,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.4
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        %{sum}
 
 License:        MIT
@@ -43,7 +43,7 @@ It can find an unused TCP local host port and remember the association.
 mv %{buildroot}%{_bindir}/%{pypi_name} %{buildroot}%{_bindir}/%{pypi_name}-3
 %py2_install
 
-%files -n python-%{pypi_name}
+%files -n python2-%{pypi_name}
 %doc README.rst
 %license LICENSE.txt
 %{python2_sitelib}/%{name_with_underscore}
@@ -58,6 +58,9 @@ mv %{buildroot}%{_bindir}/%{pypi_name} %{buildroot}%{_bindir}/%{pypi_name}-3
 %{_bindir}/%{pypi_name}-3
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-3
+- Fix creation of python2- subpackage
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-postman.spec python-postman.spec
index 5b32b52e9e..b9279458b1 100644
--- python-postman.spec
+++ python-postman.spec
@@ -6,7 +6,7 @@
 
 Name:           python-%{pkgname}
 Version:        0.6.0
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        Postman is a command line utility for working with Amazon SES
 Group:          Applications/Internet
 
@@ -24,24 +24,32 @@ BuildRequires:  python2-devel
 BuildRequires:  python-docutils
 BuildRequires:  python-setuptools
 BuildRequires:  python-boto
-Requires:       python-boto
-
-Provides:		python2-%{pkgname} = %{version}-%{release}
 
 # python 2.7 includes argparse natively.
 # everybody that's still stuck on 2.6 or below needs python-argparse.
 %if 0%{?fedora} < 15 || (0%{?rhel} && 0%{?rhel} < 7)
 BuildRequires:  python-argparse
-Requires:       python-argparse
 %endif
 
-%description
-Postman is a command line utility for working with
-Amazon Simple Email Service (SES)
-
-A tutorial for using postman is available here:
+%global _description\
+Postman is a command line utility for working with\
+Amazon Simple Email Service (SES)\
+\
+A tutorial for using postman is available here:\
 http://aws.amazon.com/articles/2405502737055650
 
+%description %_description
+
+%package -n python2-%{pkgname}
+Summary: %summary
+Requires:       python-boto
+%if 0%{?fedora} < 15 || (0%{?rhel} && 0%{?rhel} < 7)
+Requires:       python-argparse
+%endif
+%{?python_provide:%python_provide python2-%{pkgname}}
+
+%description -n python2-%{pkgname} %_description
+
 %prep
 %setup -q -n %{pkgname}-%{version}
 
@@ -73,7 +81,7 @@ install -p -m 0644 %{pkgname}.5 %{buildroot}%{_mandir}/man5/
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-%{pkgname}
 %defattr(-,root,root,-)
 %doc README.rst AUTHORS LICENSE
 %{_bindir}/postman
@@ -81,6 +89,10 @@ rm -rf %{buildroot}
 %{_mandir}/man5/*
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.0-14
+- Python 2 binary package renamed to python2-postman
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
